import { Alias } from "./ast/alias";
import { Binary } from "./ast/binary";
import { Identifier } from "./ast/identifier";
import { Number as _Number } from "./ast/number";
import { SelectStatement } from "./ast/selectStatement";

export * from "./ast/alias";
export * from "./ast/binary";
export * from "./ast/identifier";
export * from "./ast/number";
export * from "./ast/selectStatement";

export type Primary = _Number | Identifier;
export type Secondary = Primary | Alias;
export type Statement = SelectStatement;
export type Expr = Secondary | Binary;
