export enum TokenKind {
  AND = "AND",
  AS = "AS",
  BACKTICK = "BACKTICK",
  COMMA = "COMMA",
  DOT = "DOT",
  EOF = "EOF",
  EQUALS = "EQUALS",
  FROM = "FROM",
  IDENTIFIER = "IDENTIFIER",
  MINUS = "MINUS",
  NUMBER = "NUMBER",
  OR = "OR",
  PLUS = "PLUS",
  SELECT = "SELECT",
  SEMICOLON = "SEMICOLON",
  SLASH = "SLASH",
  STAR = "STAR",
  WHERE = "WHERE",
}

export default class Token {
  public kind: TokenKind;
  public value: string | null;
  public line: number;

  constructor(kind: TokenKind, value: string | null, line: number) {
    this.kind = kind;
    this.value = value;
    this.line = line;
  }
}
